Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class AbstractClickEventValidator

    java.lang.Object
      |
      +--com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator

Direct Known Subclasses:
  ClickCampaignEventValidator, ClickContentEventValidator, ClickProductEventValidator

public abstract class AbstractClickEventValidator
extends java.lang.Object
implements ClickEventValidator

Field Summary
`java.lang.String` | `applicationName`
`java.lang.String` | `documentId`
`java.lang.String` | `documentType`
`protected static com.bea.p13n.i18n.TrackingExceptionTextFormatter` | `exceptionFormatter`
`javax.servlet.http.HttpServletRequest` | `req`
`java.lang.String` | `sessionId`
`java.lang.String` | `userId`

Constructor Summary
`AbstractClickEventValidator()`

Method Summary
`void` | `initialize(javax.servlet.http.HttpServletRequest request)` Initialize local variables common to all validators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptionFormatter

    protected static final com.bea.p13n.i18n.TrackingExceptionTextFormatter exceptionFormatter

### sessionId

    public java.lang.String sessionId

### req

    public javax.servlet.http.HttpServletRequest req

### userId

    public java.lang.String userId

### applicationName

    public java.lang.String applicationName

### documentType

    public java.lang.String documentType

### documentId

    public java.lang.String documentId

Constructor Detail

### AbstractClickEventValidator

    public AbstractClickEventValidator()

Method Detail

### initialize

    public void initialize(javax.servlet.http.HttpServletRequest request)
                    throws InvalidArgumentException

  Initialize local variables common to all validators.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved